> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fly.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Destroy Volume

> Delete a specific volume within an app by volume ID.




## OpenAPI

````yaml /machines-api/openapi.json delete /v1/apps/{app_name}/volumes/{volume_id}
openapi: 3.0.1
info:
  title: Machines API
  description: >-
    This site hosts documentation generated from the Fly.io Machines API OpenAPI
    specification. Visit our complete [Machines API
    docs](https://fly.io/docs/machines/api/) for how to get started, more
    information about each endpoint, parameter descriptions, and examples.
  contact: {}
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: '1.0'
servers:
  - url: https://api.machines.dev
security: []
tags:
  - name: Apps
    description: >-
      This site hosts documentation generated from the Fly.io Machines API
      OpenAPI specification. Visit our complete [Machines API
      docs](https://fly.io/docs/machines/api/apps-resource/) for details about
      using the Apps resource.
  - name: Machines
    description: >-
      This site hosts documentation generated from the Fly.io Machines API
      OpenAPI specification. Visit our complete [Machines API
      docs](https://fly.io/docs/machines/api/machines-resource/) for details
      about using the Machines resource.
  - name: TLS Certificates
    description: >
      This site hosts documentation generated from the Fly.io Machines API
      OpenAPI specification. Visit our complete [Machines API
      docs](https://fly.io/docs/machines/api/certificates-resource/) for details
      about using the TLS Certificates resource.
  - name: Volumes
    description: >-
      This site hosts documentation generated from the Fly.io Machines API
      OpenAPI specification. Visit our complete [Machines API
      docs](https://fly.io/docs/machines/api/volumes-resource/) for details
      about using the Volumes resource.
  - name: Postgres Clusters
    description: >-
      Create and manage Postgres clusters, including databases, users,
      extensions, backups, and app attachments.
externalDocs:
  url: https://fly.io/docs/machines/working-with-machines/
paths:
  /v1/apps/{app_name}/volumes/{volume_id}:
    delete:
      tags:
        - Volumes
      summary: Destroy Volume
      description: |
        Delete a specific volume within an app by volume ID.
      operationId: Volume_delete
      parameters:
        - name: app_name
          in: path
          description: Fly App Name
          required: true
          schema:
            type: string
        - name: volume_id
          in: path
          description: Volume ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Volume'
components:
  schemas:
    Volume:
      type: object
      properties:
        attached_alloc_id:
          type: string
        attached_machine_id:
          type: string
        auto_backup_enabled:
          type: boolean
        block_size:
          type: integer
        blocks:
          type: integer
        blocks_avail:
          type: integer
        blocks_free:
          type: integer
        bytes_total:
          type: integer
        bytes_used:
          type: integer
        created_at:
          type: string
        encrypted:
          type: boolean
        fstype:
          type: string
        host_features:
          type: array
          items:
            type: string
        host_status:
          type: string
          enum:
            - ok
            - unknown
            - unreachable
        id:
          type: string
        name:
          type: string
        region:
          type: string
        required_host_features:
          type: array
          items:
            type: string
        size_gb:
          type: integer
        snapshot_retention:
          type: integer
        state:
          type: string
        type:
          type: string
          enum:
            - local
            - cache
        zone:
          type: string

````